Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List the complete structure of the space.

List the complete structure of the space. Get the organizational structure for this process space.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Responses
200

Organizational structure

modifiablebooleanrequired
transitionsOrgUnitTransition[]required
Show properties
Array of OrgUnitTransition
biDirectionalbooleanrequired
idstring
membersOrgUnitTransitionMember[]required
Show properties
Array of OrgUnitTransitionMember
sourcestringrequired
targetstringrequired
nameFromSourceLocalizedStringrequired
Show properties
translationsStringTranslation[]required
Show properties
Array of StringTranslation
languagestringrequired
valuestring
valuestring
nameToSourceLocalizedString
Show properties
translationsStringTranslation[]required
valuestring
typesOrgUnitType[]required
Show properties
Array of OrgUnitType
idstring
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
unitsOrgUnit[]required
Show properties
Array of OrgUnit
breadcrumbsBreadcrumb[]required
Show properties
Array of Breadcrumb
idstringrequired
namestringrequired
deputystring[]required
descriptionLocalizedFormattedText[]required
Show properties
Array of LocalizedFormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textLocalizedStringrequired
explicitRoleIdsstring[]required
externalbooleanrequired
idstring
membersstring[]required
parentIdstring
responsiblestring[]required
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
typestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
{
  "modifiable": true,
  "transitions": [
    {
      "biDirectional": true,
      "id": "string",
      "members": [
        {
          "source": "string",
          "target": "string"
        }
      ],
      "nameFromSource": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      },
      "nameToSource": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "types": [
    {
      "id": "string",
      "title": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "units": [
    {
      "breadcrumbs": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "deputy": [
        "string"
      ],
      "description": [
        {
          "format": "BBCode",
          "text": {
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ],
            "value": "string"
          }
        }
      ],
      "explicitRoleIds": [
        "string"
      ],
      "external": true,
      "id": "string",
      "members": [
        "string"
      ],
      "parentId": "string",
      "responsible": [
        "string"
      ],
      "title": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      },
      "type": "string"
    }
  ]
}